#ifndef ROBOT_IO_H
#define ROBOT_IO_H

#include <stk600/typedefs.h>

typedef struct
{
	unsigned int x;       // 0 <= x < 1000 cm
	unsigned int y;       // 0 <= x < 1000 cm
} position_type;


void setSwing(int swing);
/*
 *  - Setter swing.  -10 < swing < 10
 */

void setSpeed(int speed);
/*
 * - Setter fart.  -10 < fart < 10
 */

void radarPing(int direction);
/*
 * - Sender en radarpuls i retning "direction"
 */

boolean radarDataReady(unsigned int * distance);
/*
 * - returnerer "true" dersom data fra sist sendte
 *   radarpuls er tilgjengelig, og legger avleste
 *   avstand i den variabelen som "distance" peker p
 *
 *   returnerer "false" dersom data enn ikke er tilgjegelig
 */

void getPosition();
/*
 * - Ber simulatoren  sende posisjon
 */

boolean positionDataReady(position_type * position);
/*
 * - returnerer "true" dersom posisjonsdata er tilgjengelig,
 *   og legger posisjonsdata i den variabelen som "posisjon" peker p
 *
 *   returnerer "false" dersom data enn ikke er tilgjegelig
 */

void getHeading();
/*
 * - Ber simulatoren  sende kompassretning
 */


boolean headingDataReady(unsigned int * heading_p);
/*
 * - returnerer "true" dersom kompassretningsdata data er tilgjengelig,
 *   og legger kompassretningen i den variabelen som "heading_p" peker p
 *
 *   returnerer "false" dersom data enn ikke er tilgjegelig
 */


boolean obstacleHit();
/*
 * - returnerer "true" dersom roboten har kjrt p en hindring,
 *   returnerer "false" ellers.
 */

#endif
